From d930a79e6fb665789117800b55e8ab96d4e61357 Mon Sep 17 00:00:00 2001
From: David Tolnay <dtolnay@gmail.com>
Date: Mar 25 2020 19:24:40 +0000
Subject: [PATCH 194/2232] Write CxxString fmt impls in terms of to_string_lossy


---

diff --git a/src/cxx_string.rs b/src/cxx_string.rs
index f2cca5b..6b69435 100644
--- a/src/cxx_string.rs
+++ b/src/cxx_string.rs
@@ -80,12 +80,12 @@ impl CxxString {
 
 impl Display for CxxString {
     fn fmt(&self, f: &mut fmt::Formatter) -> fmt::Result {
-        Display::fmt(&String::from_utf8_lossy(self.as_bytes()), f)
+        Display::fmt(self.to_string_lossy().as_ref(), f)
     }
 }
 
 impl Debug for CxxString {
     fn fmt(&self, f: &mut fmt::Formatter) -> fmt::Result {
-        Debug::fmt(&String::from_utf8_lossy(self.as_bytes()), f)
+        Debug::fmt(self.to_string_lossy().as_ref(), f)
     }
 }

